February 2018 – End of Life for TLS 1.0 and 1.1 support

We will be requiring our customers connect using TLS 1.2 by the end of March 2018. This will ensure maximum security and privacy for everyone that uses Appbot.

If you are using a modern browser you don’t need to do anything, but you can check here to be sure.

You can read more about the PCI Security Standards Council deadlines here.